$(function () {

    render();
    $('#carousel').on('click',function(){
        $(this).hide();
        $('#list').show();
        reset();
        swiperView();
    });

    $('#list').on('click',function(){
        console.log(1);
        $(this).hide();
        $('#carousel').show();
        reset();
        listView();
    });


    function pagination(){
        var activeSlide=$('.swiper-slide-active').index();
        $('.step').removeClass('active');
        $('.step').css('background-color','transparent');
        $('#button-'+activeSlide).addClass('active');
        $('.active').css('background-color','#'+Settings.headerColor);
    }

    function counter(){
        $('.counter').each(function(index){
            var step=index+1;
            $(this).text('#'+step+' ');
        });
    }


    function listView(){

        for(var i=0;i<Settings.steps.length;i++){
            var title=Settings.steps[i].title;
            var text=Settings.steps[i].text;
            var image=Settings.steps[i].imageUpload;
            drawListView(title,text,image);
        }
        counter();

    }

    function reset(){
        $('#wall').removeClass('swiper-container');
        $('#wall').empty();
    }

    function swiperView(){
        var wrapper='<div  class="swiper-wrapper"></div>';
        var paginationBlock='<div class="block-pagination"><ul class="pagination"></ul></div>';
        $('#wall').addClass('swiper-container');
        $('#wall').append(paginationBlock);
        $('#wall').append(wrapper);

        for(var i=0;i<Settings.steps.length;i++){
            var title=Settings.steps[i].title;
            var text=Settings.steps[i].text;
            var image=Settings.steps[i].imageUpload;
            drawSwipeView(title,text,image);
        }


        var swiper = new Swiper('.swiper-container',
            {
                pagination: '.pagination',
                paginationClickable: true,
                paginationBulletRender: function (index) {
                    return '<li class="step"  id="button-'+(index)+'"  data-idPag="'+(index)+'"><a href="#!">' + (index + 1) + '</a></li>'},spaceBetween: 30
            });

        swiper.on('onSlideChangeEnd',function(){
            pagination();
        });

        pagination();
        counter();
    }

    function render(){

        $('html,body').css('background-color','#'+Settings.bgColor);
        $('nav').css('background-color','#'+Settings.headerColor);
        $('#logo-container').text(Settings.name);
        swiperView();

    }

    function drawSwipeView(title,text,image){
        var block='<div class="block swiper-slide container z-depth-1">' +
            '<div class="row">' +
            '<div  style="color: rgb(0, 0, 0);" class="step-title text center-align">' +
            '<span class="counter">' +
            '</span>' +
            title+
            '</div>' +
            '<div style="color: rgb(0, 0, 0);" class="step-text text center-align">' +
            text+
            '</div>' +
            '<div class=" col s12 picture">' +
            '<img class="responsive-img" src="' +
            image+'">' +
            '</div>' +
            '</div>' +
            '</div>';
        $('.swiper-wrapper').append(block);
        $('.step-title, .step-text').css('color','#'+Settings.titleColor);
        $('.swiper-slide').css('background-color','#'+Settings.itemColor);
    }

    function drawListView(title,text,image){

        var block='<div class="block container z-depth-1">' +
            '<div class="row">' +
            '<div  style="color: rgb(0, 0, 0);" class="step-title text center-align">' +
            '<span class="counter">' +
            '</span>' +
            title+
            '</div>' +
            '<div style="color: rgb(0, 0, 0);" class="step-text text center-align">' +
            text+
            '</div>' +
            '<div class=" col s12 picture">' +
            '<img class="responsive-img" src="' +
            image+'">' +
            '</div>' +
            '</div>' +
            '</div>';
        $('#wall').append(block);
        $('.step-title, .step-text').css('color','#'+Settings.titleColor);
        $('.block').css('background-color','#'+Settings.itemColor);
    }
});